<?php
session_start(); 
sleep(1);
if((($_SESSION['rights']!="A")))
{
header("HTTP/1.1 301 Moved Permanently");
header("Location: login.php");
header("Connection: close");
exit();
}

require_once("core/dbase.php");

if($_GET["A"]=="Add"){
  
  
  
  $query = "INSERT INTO 'Skupiny' ('Nazev') VALUES ('".$_GET['Name']."')";
  $result = $database->query($query);
  
  $query = "SELECT max(ID) FROM 'Skupiny'";
  $result = $database->query($query);
  $row = $result->fetchArray();
  echo $row['max(ID)'];
  exit();
  
}

if($_GET["A"]=="Rename"){
  
  $query = "UPDATE 'Skupiny' SET Nazev='".$_GET['Name']."' WHERE ID=".$_GET['Id'];
  $result = $database->query($query);
   exit();
  
}
if($_GET["A"]=="Delete"){
  
 
 $query = "SELECT count() FROM 'Lide' WHERE Skupina=".$_GET['Id'];
  $result = $database->query($query);
   $row = $result->fetchArray();
   if($row['count()']>0){
    echo"<script type='text/javascript'>alert('Nelze smazat skupinu, obsahující uživatele !')</script>";
    exit();
    }
  $query = "DELETE FROM 'Skupiny' WHERE ID = ".$_GET['Id'];
  $result = $database->query($query);
   exit();
  
}


  
?>
<div class='left_panel'><h1><img src='addgroup.png'/>
        Přidat skupinu</h1>
    <label for="nameedit">Název:</label>
    <input class="text ui-widget-content ui-corner-all" id="nameedit" required/>
    <fieldset><legend>Přístupová práva</legend>
        Systém nyní pracuje pouze jako docházkový. V případě zájmu o rozšíření na
    přístupový kontaktujte dodavatele.
    </fieldset>
    <input aria-disabled="false" class="ui-button ui-widget ui-state-default ui-corner-all ui-button-text-only submit" role="button" type="submit" value="Přidat"/>
</div>
<div class='main_content'>
    <table>
        <tr>
            <th>
                ID 
            </th>
            <th>
                Název 
            </th>
            <th>
                Přístupová práva
            </th>
            <th>
                Editace 
            </th>
        </tr>
        <?php
  $query = "SELECT * FROM Skupiny";  
  $result = $database->query($query);
  while($row = $result->fetchArray())
  echo "<tr><td>",$row['ID'],"</td><td>",$row['Nazev'],"</td><td>N/A</td><td class='edit'></td></tr>";
  ?>
    </table>
</div>
<div id="edit_form" title="Editace Skupiny"><br />
    <label for="form_nameedit">Název:</label>
    <input class="text ui-widget-content ui-corner-all" id="form_nameedit"/>
    <fieldset><legend>Přístupová práva</legend>
        Systém nyní pracuje pouze jako docházkový. V případě zájmu o rozšíření na
    přístupový laskavě kontaktujte dodavatele.
    </fieldset>
    <input id="form_groupid" type="hidden" value=""/>
    <input id="form_row" type="hidden" value=""/>
</div>
<script type="text/javascript">
    $("input[type=submit]").button().click(function (event) {
        event.preventDefault();
        var name = $("#nameedit").val();
        var newrow =  '<td>'+name+'</td><td>N/A</td><td class="edit"></td></tr>';
        
        $.get("groups.php",{A: "Add" , Name: name}, 
        function(data){
       newrow = "<tr><td>" + data + "</td>" + newrow; 
        var lastrow =  $('.main_content table').append(newrow).children(':last').children(':last');          
          
           $(".main_content").animate({ scrollTop: $(document).height()}, 900, function(){
                 lastrow.effect("highlight", {color: 'green'}, 3000);
        
            });
          });
        
        
    });
    
    $("#edit_form").dialog({
        autoOpen: false,
        height: 270,
        width: 350,
        modal: true,
        buttons: {
            "Uložit změny": function () {
    
                var row = $("#form_row").val();
                $.get("groups.php", {
                    A: "Rename",
                    Name: $("#form_nameedit").val(),
                    Id: $("#form_groupid").val()
                }, function (data) {
                    $(".main_content tr:eq(" + row + ")").find("td:eq(1)").html($("#form_nameedit").val());
                });
                $(this).dialog("close");
            },
            "Smazat skupinu": function () {
                var row = $("#form_row").val();
                var rowa = $(".main_content tr:eq(" + row + ")");
                $.get("groups.php", {
                    A: "Delete",
                    Id: $("#form_groupid").val()
                }, function (data) {
                    if(data)
                    $('.main_content').append(data);
                    else{
                    rowa.fadeOut('slow', function () {
                        $rowa.remove();
                        
                    });
                    }
                });
                $(this).dialog("close");
            },
            Cancel: function () {
                $(this).dialog("close");
            }
        }
    });
    $('.main_content').delegate('.edit', 'click', function () {
        var row = $(this).parent();
        var id = $(row).find("td:first").html();
        var name = $(row).find("td:eq(1)").html();
        var rowindex = $(this).parent().parent().children().index($(this).parent());
        $("#form_nameedit").val(name);
        $("#form_row").val(rowindex);
        $("#form_groupid").val(id);
        $("#edit_form").dialog("open");
    });
</script>